<template>
  <div class="text-center">
    <v-dialog v-model="dialog" width="500">
      <template v-slot:activator="{ on, attrs }">
        <v-btn color="grey" text v-bind="attrs" v-on="on">Import Excel</v-btn>
      </template>
      <v-card>
        <v-card-title class="text-h5 grey lighten-2">
          Import Excel
        </v-card-title>
        <v-file-input class="ma-5" outlined dense v-model="chosenFile">
        </v-file-input>
        <v-divider></v-divider>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn color="gray darken-1" text @click="dialog = false">
            Cancel
          </v-btn>
          <v-btn color="green darken-1" text @click="importExcel">
            IMPORT
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </div>
</template>

<script>
import XLSX from "xlsx";

export default {
  data() {
    return {
      dialog: false,
      chosenFile: null
    };
  },
  methods: {
    importExcel() {
      let reader = new FileReader();
      // let tmpResult = {}
      reader.onload = (e) => {
        const data = new Uint8Array(e.target.result);
        const workbook = XLSX.read(data, { type: "array" });
        console.log(workbook.Sheets["Sheet1"]);
        const roa = XLSX.utils.sheet_to_json(workbook.Sheets["Sheet1"]);
        this.$store.dispatch("SEND_EXCEL_DATA", roa);
      };
      reader.readAsArrayBuffer(this.chosenFile);
      this.dialog = false;
    }
  }
};
</script>
